pkcs11h_token_id_s Struct Reference
pkcs11-helper core interface

Token identifier. More...

`#include <pkcs11h-core.h>`

## Public Attributes

char | display [1024]
char | manufacturerID [sizeof(((CK_TOKEN_INFO *) NULL) ->manufacturerID)+1]
char | model [sizeof(((CK_TOKEN_INFO *) NULL) ->model)+1]
char | serialNumber [sizeof(((CK_TOKEN_INFO *) NULL) ->serialNumber)+1]
char | label [sizeof(((CK_TOKEN_INFO *) NULL) ->label)+1]

## Detailed Description

Token identifier.

Examples
  test-certificate.c.

## Member Data Documentation

## display

char pkcs11h_token_id_s::display[1024]

Display for user.

## label

char pkcs11h_token_id_s::label[sizeof(((CK_TOKEN_INFO *) NULL) ->label)+1]

NULL terminated label

## manufacturerID

char pkcs11h_token_id_s::manufacturerID[sizeof(((CK_TOKEN_INFO *) NULL) ->manufacturerID)+1]

NULL terminated manufacturerID

## model

char pkcs11h_token_id_s::model[sizeof(((CK_TOKEN_INFO *) NULL) ->model)+1]

NULL terminated model

## serialNumber

char pkcs11h_token_id_s::serialNumber[sizeof(((CK_TOKEN_INFO *) NULL) ->serialNumber)+1]

NULL terminated serialNumber

The documentation for this struct was generated from the following file:

- pkcs11-helper-1.0/pkcs11h-core.h

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |